Package be.fgov.ehealth.addressbook.protocol.v1

# Class GetProfessionalContactInfoRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.addressbook.protocol.v1.GetProfessionalContactInfoRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class GetProfessionalContactInfoRequest extends RequestType implements Serializable
Find contact data for a specific healthcare professional

Java class for GetProfessionalContactInfoRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetProfessionalContactInfoRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <choice>
             <element name="NIHII" type="{urn:be:fgov:ehealth:addressbook:core:v1}NIHIIType"/>
             <element name="SSIN" type="{urn:be:fgov:ehealth:addressbook:core:v1}SSINType"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetProfessionalContactInfoRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getNIHII()`
  INAMI/RIZIV of the contact person
  `String`
  `getSSIN()`
  NISS / INSZ of the contact person
  `void`
  `setNIHII(String value)`
  Sets the value of the nihii property.
  `void`
  `setSSIN(String value)`
  Sets the value of the ssin property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetProfessionalContactInfoRequest

    public GetProfessionalContactInfoRequest()

- ## Method Details

  - ### getSSIN

    public String getSSIN()
    NISS / INSZ of the contact person
    Returns:
      possible object is `String`

  - ### setSSIN

    public void setSSIN(String value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSSIN()`

  - ### getNIHII

    public String getNIHII()
    INAMI/RIZIV of the contact person
    Returns:
      possible object is `String`

  - ### setNIHII

    public void setNIHII(String value)
    Sets the value of the nihii property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getNIHII()`